#ifndef _UDM_SOCKET_H
#define _UDM_SOCKET_H

#define	NET_BUF_SIZE		10240
/* Net status flags */
#define	NET_NOTCONNECTED	0
#define	NET_CONNECTED		1
#define	NET_CONNECTED		1
/* Net timeouts */
#define	NET_ACC_TIMEOUT		20
#define	NET_READ_TIMEOUT	20


void socket_close(UDM_CONN *connp );
int socket_open(UDM_CONN *connp );
int socket_connect(UDM_CONN *connp );
int socket_select(UDM_CONN *connp, int timeout, char mode );
int socket_read(UDM_CONN *connp, int maxsize);
int socket_read_line(UDM_CONN *connp);
int socket_write(UDM_CONN *connp, char *buf);
int socket_listen(UDM_CONN *connp );
int socket_accept(UDM_CONN *connp );
int socket_getname(UDM_CONN *connp, struct sockaddr_in *sin);
void socket_buf_clear(UDM_CONN *connp);

#endif
